/*
Computer Graphics Programming in OpenGL with Java, 2nd Edition, V. Scott Gordon, John Clevenger
Page 8.
*/

import static com.jogamp.opengl.GL4.*;
import com.jogamp.opengl.*;
import com.jogamp.opengl.awt.GLJPanel;
//import com.jogamp.opengl.awt.GLCanvas; // does not work very well

import javax.swing.*;

public class Code_1 extends JFrame implements GLEventListener
{
   private final GLJPanel myCanvas;
 //private final GLCanvas myCanvas; // does not work very well

   public Code_1()
   {
      this.setTitle("Chapter 2 - program 1 (Code_1)");
      this.setSize(600,400);
    //myCanvas = new GLCanvas(); // does not work very well
      myCanvas = new GLJPanel();
      myCanvas.addGLEventListener(this);
      this.add(myCanvas);
      this.setLocationRelativeTo(null);
      this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
      this.setVisible(true);
   }


   public void init(GLAutoDrawable drawable){}


   public void display(GLAutoDrawable drawable)
   {
      final GL4 gl = (GL4) GLContext.getCurrentGL();

      gl.glClearColor(1.0f, 0.0f, 0.0f, 1.0f);
      gl.glClear(GL_COLOR_BUFFER_BIT);
   }

   public void reshape(GLAutoDrawable drawable, int x, int y, int w, int h){}
   public void dispose(GLAutoDrawable drawable){}

   public static void main(String[] args)
   {
      new Code_1();
   }
}
